Get a job
import requests
url = "https://{FUSION HOST}/api/spark/configurations/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/spark/configurations/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://{FUSION HOST}/api/spark/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/spark/configurations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/spark/configurations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/spark/configurations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION HOST}/api/spark/configurations/{id} \
--header 'Authorization: Basic <encoded-value>'{
"type": "parallel-bulk-loader",
"id": "index_synthetic_data",
"format": "json",
"path": "gs://lucidworks-example-data/hardware/1000/1000_synthetic.json",
"outputCollection": "Synthetic_dataset_test",
"outputIndexPipeline": "Synthetic_dataset_test",
"clearDatasource": false,
"defineFieldsUsingInputSchema": true,
"atomicUpdates": false,
"cacheAfterRead": false,
"continueAfterFailure": false,
"updates": [
{
"userId": "docs",
"timestamp": "2025-08-14T20:50:09.847634657Z"
}
]
}Get a job configuration’s details.
GET
/
spark
/
configurations
/
{id}
Get a job
import requests
url = "https://{FUSION HOST}/api/spark/configurations/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/spark/configurations/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://{FUSION HOST}/api/spark/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/spark/configurations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/spark/configurations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/spark/configurations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
Basic authAPI key
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Response
200 - */*
OK
The job's configuration details.
The name of the job configuration.
Example:
"scripted_job_example"
The job's configuration details. The configuration keys depend on the type of job. Use /spark/schema to see the configuration schemas for all job types.
Example:
{
"spark.cores.max": 2,
"spark.executor.memory": "1g"
}
The job type.
Was this page helpful?
⌘I